Enhavo
Indekso 🔎︎

# Eof Function

Trovas ĉu la dosiera skribilo atingis la finon de la dosiero.

### Syntax:

    Eof (intexpression As Integer)

### Return value:

Bool

### Parameters:

Intexpression: Entjera esprimo kiu liveras la numeron de malferma dosiero.

EOF estas uzebla por eviti erarojn kiam oni provas legi datumojn preter la fino de dosiero. Kiam oni uzas la komandon Input aŭ Get por legi el dosiero, la dosiera skribilo antaŭeniras laŭ la nombro da bajtoj legitaj. Kiam la fino de dosiero atingiĝas, EOF liveras la valoron "True" (-1).

### Error codes:

5 Nevalida procedurvoko

52 Nevalida dosiera nomo aŭ dosiera numero

### Example:

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "C:\Users\ThisUser\data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumero, "Jen linio de teksto"
          Print #iNumero, "Jen alia linio de teksto"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

      Sub ExampleWorkWithAFile
          Dim iNumber As Integer
          Dim sLine As String
          Dim aFile As String
          Dim sMsg As String
          aFile = "~/data.txt"
          iNumber = Freefile
          Open aFile For Output As #iNumber
          Print #iNumber, "This is a line of text"
          Print #iNumber, "This is another line of text"
          Close #iNumber
          iNumber = Freefile
          Open aFile For Input As iNumber
          While Not eof(iNumber)
              Line Input #iNumber, sLine
              If sLine <>"" Then
                  sMsg = sMsg & sLine & chr(13)
              End If
          Wend
          Close #iNumber
          MsgBox sMsg
      End Sub

Rilataj temoj

Close Statement

Print# Statement

Input# Statement

Open Statement